import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.datatransfer.*;

import javax.swing.*;
public class GUI extends JFrame{
	private Converter password;
	private JPanel main;
	private JPasswordField pass;
	private JTextField newPass;
	private JButton gen;
	private JButton clear;
	private Clipboard clip;
	
	public GUI(){
		super("Password Generator [beta]");
		Toolkit tk = Toolkit.getDefaultToolkit();
		Dimension dm = tk.getScreenSize();
		clip = this.getToolkit().getSystemClipboard();
		int width = dm.width;
		int height = dm.height;
		this.setSize(450,100);
		this.setLocation(width-450,height-145);
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		buildGUI();
		this.setVisible(true);
		this.setResizable(false);
		this.setAlwaysOnTop(true);
		
	}
	
	public void buildGUI(){
		
		main = new JPanel();
		pass = new JPasswordField();
		newPass = new JTextField();
		gen = new JButton("Generate");
		clear = new JButton("Clear");
		
		
		pass.setBounds(30, 10, 200, 25);
		newPass.setBounds(30,40,200,25);
		gen.setBounds(235, 10, 200, 25);
		clear.setBounds(235,40,200,25);
		
		
		newPass.setEditable(false);
		pass.setSelectionColor(new Color(255,0,0));
		newPass.setSelectionColor(new Color(255,0,0));
				
		gen.addActionListener(new ActionListener() {
               
            public void actionPerformed(ActionEvent e){
            	String temp = pass.getText();
            	password = new Converter(temp);
            	newPass.setText(password.getPass());
            	String s = newPass.getText();
            	StringSelection s1 = new StringSelection(s);
            	clip.setContents(s1, s1);
            	gen.setText("Copied to Clipboard");
            }

        }); 
		
		clear.addActionListener(new ActionListener() {
			public  void actionPerformed(ActionEvent e){
				pass.setText("");
				newPass.setText("");
				gen.setText("Generate");
			}
		});
		
		main.setLayout(null);
		main.add(pass);
		main.add(newPass);
		main.add(gen);
		main.add(clear);
		
		this.add(main);
		
		
	}
	
	public static void main(String[] args){ 
		try{
			UIManager.setLookAndFeel("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
		}catch(UnsupportedLookAndFeelException e){
			e.printStackTrace();
		} catch (ClassNotFoundException e) {
			e.printStackTrace();
		} catch (InstantiationException e) {
			e.printStackTrace();
		} catch (IllegalAccessException e) {
			e.printStackTrace();
		}
		GUI g = new GUI();
	}

}
